petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMSetMatrixPreallocateOnly

When DMCreateMatrix() is called the matrix will be properly preallocated but the nonzero structure and zero values will not be set.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMSetMatrixPreallocateOnly(DM dm, PetscBool only)

Logically Collective on DM Many br

### Input Parameter

| dm | - the DM Many br
| only | - PETSC_TRUE if only want preallocation Many br

Many br

### See Also

DMCreateMatrix()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages